Subject: Re: [RFC PATCH 0/5] line-log: towards a more responsive, incremental 'git log -L'

From: SZEDER Gábor <[email-masked]>
Date: Mon, 19 Aug 2019 17:02:45 +0200

On Mon, Aug 19, 2019 at 10:50:48AM -0400, Derrick Stolee wrote:
> Note that I don't include the "without patch" numbers. For some
> reason the path provided is particularly nasty and caused 20,000+
> missing blobs to be downloaded one-by-one (remember: VFS for Git
> has many partial-clone-like behaviors). I canceled my test after 55
> minutes. I'll dig in more to see what is going on, since only 37
> commits actually change that path.

Don't bother digging into it, I know why it happens (and how to avoid
it! :), but don't have the time right now to explain.